Reorder stages in a pipeline
curl --request POST \
--url https://api.algosmiths.com/api/v1/ticket-pipelines/{pipeline_id}/stages/reorder/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"id": 123,
"position": 123
}
]
'import requests
url = "https://api.algosmiths.com/api/v1/ticket-pipelines/{pipeline_id}/stages/reorder/"
payload = [
{
"id": 123,
"position": 123
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([{id: 123, position: 123}])
};
fetch('https://api.algosmiths.com/api/v1/ticket-pipelines/{pipeline_id}/stages/reorder/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>"
}Ticket Stages
Reorder stages in a pipeline
Body: [{"id": 1, "position": 2}, ...]. Unknown stage IDs are ignored.
POST
/
api
/
v1
/
ticket-pipelines
/
{pipeline_id}
/
stages
/
reorder
/
Reorder stages in a pipeline
Authorizations
ApiKeyAuthtokenAuthCookieAuth
Workspace API key, e.g. Authorization: Bearer cb_live_.... Create one in Settings → API Keys. See public_api.md § 3 for scopes.
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
200 - application/json
⌘I

